---
title: kernel
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.kernel)
[![Build Status](https://img.shields.io/drone/build/ansible/xoxys.kernel?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.kernel)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.kernel/src/branch/main/LICENSE)

Configure kernel parameters and coredump settings.

<!--more-->

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [kernel_blacklist_modules](#kernel_blacklist_modules)
  - [kernel_coredump_enabled](#kernel_coredump_enabled)
  - [kernel_custom_config](#kernel_custom_config)
  - [kernel_disable_modules](#kernel_disable_modules)
  - [kernel_ipv4_forwarding_enabled](#kernel_ipv4_forwarding_enabled)
  - [kernel_ipv4_ping_group_range](#kernel_ipv4_ping_group_range)
  - [kernel_ipv6_enabled](#kernel_ipv6_enabled)
  - [kernel_ipv6_forwarding_enabled](#kernel_ipv6_forwarding_enabled)
  - [kernel_namespace_support_enabled](#kernel_namespace_support_enabled)
- [Dependencies](#dependencies)

---

## Requirements

- Minimum Ansible version: `2.1`

## Default Variables

### kernel_blacklist_modules

#### Default value

```YAML
kernel_blacklist_modules: []
```

### kernel_coredump_enabled

#### Default value

```YAML
kernel_coredump_enabled: true
```

### kernel_custom_config

#### Default value

```YAML
kernel_custom_config: []
```

#### Example usage

```YAML
kernel_custom_config:
  - file: 90-example
    content:
      - name: vm.panic_on_oom
        value: 0
      - name: vm.overcommit_memory
        value: 1
```

### kernel_disable_modules

#### Default value

```YAML
kernel_disable_modules:
  - usb-storage
  - firewire-core
  - dccp
  - sctp
  - tipc
  - rds
  - bluetooth
  - cramfs
  - squashfs
  - udf
```

### kernel_ipv4_forwarding_enabled

#### Default value

```YAML
kernel_ipv4_forwarding_enabled: false
```

### kernel_ipv4_ping_group_range

#### Default value

```YAML
kernel_ipv4_ping_group_range: _unset
```

#### Example usage

```YAML
kernel_ipv4_ping_group_range: 0 2000000
```

### kernel_ipv6_enabled

#### Default value

```YAML
kernel_ipv6_enabled: false
```

### kernel_ipv6_forwarding_enabled

#### Default value

```YAML
kernel_ipv6_forwarding_enabled: false
```

### kernel_namespace_support_enabled

#### Default value

```YAML
kernel_namespace_support_enabled: false
```



## Dependencies

None.
